#include <string>
#include "exceptiontype.h"

using namespace std;

const char* ExceptionType::type="ExceptionType";

const char* ExceptionType::getType() const
{
	return type;
}

const string& ExceptionType::getMessage() const
{
	string res=string("Excepted type ")+type1+" got type "+type2;
	return *(new string(res));
}
